Pool
All operations require authentication.
List poolsProduction
Returns the pools of the cluster.
Path parameters
Service name
Response
Determine if pool should be backuped
Minimum active replicas
Name of the pool
Type of pool
ERASURE_CODEDREPLICATEDNumber of replica
ID of cluster
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ pool \
-H "authorization: Bearer $OVH_TOKEN"[ { "backup": true, "minActiveReplicas": 0, "name": "string", "poolType": "ERASURE_CODED", "replicaCount": 0, "serviceName": "string" }]
Get a poolProduction
Returns a pool of the cluster.
Path parameters
Pool name
Service name
Response
Determine if pool should be backuped
Minimum active replicas
Name of the pool
Type of pool
ERASURE_CODEDREPLICATEDNumber of replica
ID of cluster
Example uses poolName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ pool/ {poolName} \
-H "authorization: Bearer $OVH_TOKEN"{ "backup": true, "minActiveReplicas": 0, "name": "string", "poolType": "ERASURE_CODED", "replicaCount": 0, "serviceName": "string"}
Create a poolProduction
Creates a pool whose data is replicated three times. The name must contain at least three characters.
Path parameters
Service name
Request body (required)
Name of the new pool
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ pool \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete a poolProduction
Deletes the pool from the cluster.
Path parameters
Pool name
Service name
Response
Example uses poolName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ pool/ {poolName} \
-H "authorization: Bearer $OVH_TOKEN""string"
Allow pool deletionProduction
Opens a 5-minute window for deleting the pool. This window is not enforced yet: a pool can currently be deleted at any time.
Path parameters
Pool name
Service name
Response
Example uses poolName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ pool/ {poolName}/ allowDeletion \
-H "authorization: Bearer $OVH_TOKEN""string"